<?php 
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','itodoslo_evalle','Vain2009')or die(mysql_error());//EXTERNA
$itodos = 'itodoslo_intranetits';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());

$listaetapas ="SELECT p.proyecto, etapa, res_rec_municipal, fec_rec_municipal, ee.edificio, te.num_pisos, num_subterraneos
			FROM $itodos.tbl_etapaxproyecto e
			INNER JOIN $itodos.tbl_proyecto p ON p.id_proyecto = e.id_proyecto
			INNER JOIN $itodos.tbl_edificioxetapaxproyecto ee ON ee.id_etapa = e.id_etapa
			INNER JOIN $itodos.tbl_tipo_edificioxproyecto te ON te.id_tip_edificio = ee.id_tip_edificio
			WHERE estado =1";

$resultado = mysql_query($listaetapas,$conexion2); 	
	if(mysql_num_rows($resultado)> 0){
		while($fila = mysql_fetch_array($resultado)){
			  $etapa = $fila['etapa'];
  			  $proyecto = $fila['proyecto'];
  			  //VARIABLES BUSCAR MODELO CONSTRUCCION
  			  $abreviatura = $fila['edificio'];
  			  $num_pisos = $fila['num_pisos'];
  			  $num_subterraneos = $fila['num_subterraneos'];
  			  $id_etapa =  buscaretapa($proyecto,$etapa,$conexion1);
  			  //UNIDAD CONSTRUCCION EDIFICIO 
  			  $unidad_construccion = 1;//SIEMPRE VAN HACER EDIFICIOS AL MENOS QUE CAMBIE HAY QUE CASHAR 
  			  $id_modelounidaconstruccion = buscarmodelo($abreviatura,$num_pisos,$num_subterraneos,$conexion1);
  			  $existediseno = buscaretapadesigner($id_etapa,$unidad_construccion,$id_modelounidaconstruccion,$conexion1);
  			  //if($existediseno == "1"){
  			  	//echo "SE DEBE ACTUALIZAR"."<br>";
  			  //}else{
			  			  $queryinsertdiseño = "INSERT INTO tblconfiguracionetapas(ID_ETAPA,ID_UNIDADCONSTRUCCION, ID_MODELOUNIDADCONSTRUCCION)
			  			  						 VALUES ('$id_etapa','$unidad_construccion','$id_modelounidaconstruccion')";
			  			  if(mysql_query($queryinsertdiseño,$conexion1)){
			  			  	echo "GUARDADO"."<br>";
			  			  }else{
			  			  	echo mysql_error();
			  			  } 
  			  //}
  		}
	 }else{
	 	echo "NO TRAE FILAS";
	 }

 function buscaretapadesigner($id_etapa,$unidadcontruccion,$modelocontruccion,$conexion1){
   $resultado = mysql_query("SELECT ce.ID_DISENOETAPA,ce.ID_ETAPA
                                       FROM  tblconfiguracionetapas ce
                                       INNER JOIN tblunidadconstrucciones uc ON uc.ID_UNIDADCONSTRUCCION = ce.ID_UNIDADCONSTRUCCION
                                       INNER JOIN tblmodelounidadconstrucciones mc ON mc.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
                                        WHERE ID_ETAPA = '$id_etapa' 
                                        AND  uc.ID_UNIDADCONSTRUCCION  = '$unidadcontruccion'
                                        AND  mc.ID_MODELOUNIDADCONSTRUCCION = '$modelocontruccion'",$conexion1); 
   	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{

	 	return "0";
	 }

}

function buscaretapa($id_proyecto,$etapa,$conexion1){

$resultado = mysql_query("SELECT e.ID_ETAPA, p.PROYECTO,e.ETAPA
							FROM tbletapas e
							INNER JOIN tblproyectos p ON p.ID_PROYECTO = e.ID_PROYECTO 
							WHERE e.ETAPA = '$etapa' AND p.PROYECTO = '$id_proyecto'",$conexion1); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_ETAPA']; 
	}  

}

function buscarmodelo($abreviatura,$num_pisos,$num_subterraneos,$conexion1){
$resultado = mysql_query("SELECT ID_MODELOUNIDADCONSTRUCCION, ABREVIATURA, SUPERFICIE, NUM_PISOS, NUM_SUBTERRANEOS, CANT_PROPIEDADES
						 FROM pvitls_postventa.tblmodelounidadconstrucciones 
						 WHERE ABREVIATURA='$abreviatura' AND  NUM_PISOS='$num_pisos' AND NUM_SUBTERRANEOS='$num_subterraneos'",$conexion1);


	while( $resultado = mysql_fetch_array($resultado)) { 
   		return $resultado['ID_MODELOUNIDADCONSTRUCCION']; 
	}  

}


?>